//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "Global.h"
#include "AddPmtDlgs.h"
#include "PaymentDlgs.h"
#include "PickInvDlgs.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TPaymentDlg *PaymentDlg;
//---------------------------------------------------------------------------
bool __fastcall EnterInvoicePayments(TForm *Owner, AnsiString InvoiceNo)
{
   if (InvoiceNo.IsEmpty())
       InvoiceNo = SelectInvoice(Owner, "Select Invoice To Apply Payment");
   if (InvoiceNo.IsEmpty()) return "";

   PaymentDlg = new TPaymentDlg(Owner);
   PaymentDlg->Caption = "Enter Payment For: " + InvoiceNo;
   PaymentDlg->ListBox1->Items->Add(InvoiceNo);
   PaymentDlg->InvoiceNo = InvoiceNo;
   PaymentDlg->ShowModal();
   bool entered = PaymentDlg->ModalResult == mrOk;
   delete PaymentDlg;
   return entered;
}
//---------------------------------------------------------------------------
__fastcall TPaymentDlg::TPaymentDlg(TComponent* Owner)
        : TForm(Owner)
{
   global->CenterDialog(this,Owner);
}
//---------------------------------------------------------------------------
void __fastcall TPaymentDlg::AddBtnClick(TObject *Sender)
{
   GetInvoicePayment(this, InvoiceNo);
}
//---------------------------------------------------------------------------
void __fastcall TPaymentDlg::ListBox1Click(TObject *Sender)
{
   DelBtn->Enabled = ListBox1->ItemIndex > 0;
}
//---------------------------------------------------------------------------
